package com.goldenwater.slgc.mapper.pms;

import com.goldenwater.slgc.entity.pms.PmsPhaseTask;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface PmsPhaseTaskMapper {
    /**
     * 查询阶段任务列表
     */
    List<PmsPhaseTask> selectList(PmsPhaseTask phaseTask);

    /**
     * 根据主键查询阶段任务
     */
    PmsPhaseTask selectById(Long id);

    /**
     * 新增阶段任务
     */
    int insert(PmsPhaseTask phaseTask);

    /**
     * 修改阶段任务
     */
    int update(PmsPhaseTask phaseTask);

    /**
     * 删除阶段任务
     */
    int deleteById(Long id);

    /**
     * 批量删除阶段任务
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据阶段ID查询阶段任务列表
     */
    List<PmsPhaseTask> selectByPhaseId(Long phaseId);
}
